## Documentation de la biliothèque MED-fichier V2.3 : Guide de référence - Module "MED_Profil".

Sommaire de la page
- - Liste des routines Accès direct par le nom Interface C
    MEDnProfil MEDnValProfil | MEDprofilEcr MEDprofilInfo | MEDprofilLire
  - Interface FORTRAN
    efnpro epfll | efpfle efnpfl | efproi
- Accès thématique
  Ecriture d'un profil Interface C : MEDprofilEcr Interface FORTRAN : efpfle Lecture de la taille d'un profil Interface C : MEDnValProfil Interface FORTRAN : efnpfl Lecture d'un profil Interface C : MEDprofilLire Interface FORTRAN : efpfll | Lecture du nombre de profils dans un fichier Interface C : MEDnProfil Interface FORTRAN : efnpro Lecture des informations relatives à un profil Interface C : MEDprofilInfo Interface FORTRAN : efproi

Retour à la page du guide de référence.

# Liste des routines

Les routines disponibles permettent de :

- Ecrire un profil dans un fichier.
- Lire le nombre de profil dans un fichier
- Lire les informations sur un profil.
- Lire la taille d'un profil.
- Lire un profil dans un fichier.

# Création d'un profil

### Interface C

- Nom : MEDprofilEcr
- Signature :

      med_err
      MEDprofilEcr(med_idt fid,med_int *pflval,med_int n,char *nom)

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - pflval (IN) : tableau de valeurs du profil.
  - n (IN) : taille du profil.
  - nom (IN) : nom profil.
- Code retourné : 0 si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efpfle
- Signature :

            subroutine efpfle(fid,pflval,n,nom,cret)
            integer fid,n,cret
            integer pflval(*)
            character *(*) nom

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - pflval (IN) : tableau de valeurs du profil.
  - n (IN) : taille du profil.
  - nom (IN) : nom profil.
  - cret (OUT) : code de retour, 0 si réussite, -1 sinon.

### Description

Création d'un profil de champ.

### Remarques

Un profil est identifié par son nom de taille MED_TAILLE_NOM caractères en Fortran (au plus MED_TAILLE_NOM en C).

Les valeurs d'un champ ne sont pas forcément définies sur tous les éléments d'un maillage. Le profil permet de désigner les éléments pour lesquels les valeurs sont présentes. Le profil est en fait un tableau d'entiers qui contient une liste de numéros d'éléments (tableau "pflval").

Pour écrire cette liste d'éléments on devra prendre les conventions suivantes :

- Les numéros d'entité utilisés pour définir un profil sont ceux de la numérotation implicite (ordre d'apparition des entités par ordre croissant).
- Il s'agit d'une liste compacte : on ne met que les numéros représentatifs. Exemple : sur un maillage de 30 noeuds, si on a un champ portant sur les noeuds de numéros de référence 4, 5 et 12, le profil correspondant sera la liste (4,5,12).

# Lecture de la taille d'un profil

### Interface C

- Nom : MEDnValProfil
- Signature :

      med_int
      MEDnValProfil(med_idt fid, char *nom)

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - nom (IN) : nom du profil.
- Code retourné : taille du profil (nombre de valeurs) du profil "nom" si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efnpfl
- Signature :

            subroutine efnpfl(fid,nom,n,cret)
            integer fid,cret,n
            character *(*) nom

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - nom (IN) : nom du profil.
  - n (OUT) : taille du profil (nombre de valeurs) du profil "nom".
  - cret (OUT) : code de retour, 0 si réussite, -1 sinon.

### Description

Retourne la taille du profil (nombre de valeurs) du profil "nom".

### Remarques

Le nom du profil est codé sur MED_TAILLE_NOM caractères en Fortran (au plus MED_TAILLE_NOM en C).

# Lecture d'un profil

### Interface C

- Nom : MEDprofilLire
- Signature :

      med_err
      MEDprofilLire(med_idt fid,med_int *pflval, char *nom)

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - pflval (OUT) : tableau de valeurs du profil.
  - nom (IN) : nom du profil.
- Code retourné : 0 si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efpfll
- Signature :

            subroutine efpfll(fid,pflval,nom,cret)
            integer fid,cret
            integer pflval(*)
            character *(*) nom

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - pflval (OUT) : tableau de valeurs du profil.
  - nom (IN) : nom du profil.
  - cret (OUT) : code de retour, 0 si réussite, -1 sinon.

### Description

Lecture des valeurs d'un profil.

### Remarques

Le nom du profil est stocké sur MED_TAILLE_NOM caractères en Fortran (au plus MED_TAILLE_NOM en C).

Les valeurs d'un champ ne sont pas forcément définies sur tous les éléments d'un maillage. Le profil permet de désigner les éléments pour lesquels les valeurs sont présentes. Le profil est en fait un tableau d'entiers qui contient une liste de numéros d'éléments (tableau "pflval").

Pour lire cette liste d'éléments on devra prendre les conventions suivantes :

- Les numéros d'entité utilisés pour définir un profil sont ceux de la numérotation implicite (ordre d'apparition des entités par ordre croissant).
- Il s'agit d'une liste compacte : on ne met que les numéros représentatifs. Exemple : sur un maillage de 30 noeuds, si on a un champ portant sur les noeuds de numéros de référence 4, 5 et 12, le profil correspondant sera la liste (4,5,12).

# Lecture du nombre de profils dans un fichier

### Interface C

- Nom : MEDnProfil
- Signature :

      med_int
      MEDnProfil(med_idt fid)

- Paramètres :
  - fid (IN) : descripteur du fichier.
- Code retourné : nombre de profils dans le fichier d'ID fid si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efnpro
- Signature :

            subroutine efnpro(fid,n,cret)
            integer fid, n, cret

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - n (IN) : nombre de profils dans le fichier d'ID fid.
  - cret (OUT) : code de retour, 0 si réussite, -1 sinon.

### Description

Renvoie le nombre de profils dans une fichier dont le descripteur ID est passé en paramètre.

### Remarques

# Lecture des informations relatives à un profil

### Interface C

- Nom : MEDprofilInfo
- Signature :

      med_err
      MEDprofilInfo(med_idt fid, int indice, char * profil, med_int *n)

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - indice (IN) : numéro d'indice du profil au sein du fichier.
  - profil (OUT) : nom de profil correspondant.
  - n (OUT) : taille du profil.
- Code retourné : 0 si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efproi
- Signature :

            subroutine efproi(fid , indice , pro , n , cret)
            integer fid, indice, n, cret
            character *(*) pro

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - indice (IN) : numéro d'indice du profil au sein du fichier.
  - pro (OUT) : nom de profil correspondant.
  - n (OUT) : taille du profil.
  - cret (OUT) : code de retour, 0 si réussite, -1 sinon.

### Description

Renvoie les informations relatives à un profil donné (nom, taille) dans un fichier dont le descripteur (ID) est passé en paramètre.

### Remarques

- Le nom du profil est codé sur MED_TAILLE_NOM caractères en Fortran (au plus MED_TAILLE_NOM en C).
- Pour "n" profils, les numéros d'indices vont de 1 à "n".